camel-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From acosent...@apache.org
Subject [camel] branch master updated: Regen
Date Fri, 01 Mar 2019 15:16:26 GMT
This is an automated email from the ASF dual-hosted git repository.

acosentino pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/camel.git


The following commit(s) were added to refs/heads/master by this push:
     new fdb5a62  Regen
fdb5a62 is described below

commit fdb5a6260176cbe1f0812c367940f51f117a7ca8
Author: Andrea Cosentino <ancosen@gmail.com>
AuthorDate: Fri Mar 1 16:15:48 2019 +0100

    Regen
---
 docs/components/modules/ROOT/nav.adoc                  | 18 ------------------
 .../modules/ROOT/pages/aws-cw-component.adoc           |  6 +++---
 .../modules/ROOT/pages/aws-ddb-component.adoc          |  8 ++++----
 .../modules/ROOT/pages/aws-ddbstream-component.adoc    |  6 +++---
 .../modules/ROOT/pages/aws-ec2-component.adoc          |  8 ++++----
 .../modules/ROOT/pages/aws-ecs-component.adoc          | 14 +++++++-------
 .../modules/ROOT/pages/aws-eks-component.adoc          | 16 ++++++++--------
 .../modules/ROOT/pages/aws-iam-component.adoc          | 18 +++++++++---------
 .../modules/ROOT/pages/aws-kinesis-component.adoc      |  8 ++++----
 .../ROOT/pages/aws-kinesis-firehose-component.adoc     |  8 ++++----
 .../modules/ROOT/pages/aws-kms-component.adoc          | 10 +++++-----
 .../modules/ROOT/pages/aws-lambda-component.adoc       |  8 ++++----
 .../modules/ROOT/pages/aws-mq-component.adoc           | 12 ++++++------
 .../modules/ROOT/pages/aws-s3-component.adoc           |  8 ++++----
 .../modules/ROOT/pages/aws-sdb-component.adoc          |  8 ++++----
 docs/components/modules/ROOT/pages/aws.adoc            |  5 -----
 16 files changed, 69 insertions(+), 92 deletions(-)

diff --git a/docs/components/modules/ROOT/nav.adoc b/docs/components/modules/ROOT/nav.adoc
index a2780c7..d043769 100644
--- a/docs/components/modules/ROOT/nav.adoc
+++ b/docs/components/modules/ROOT/nav.adoc
@@ -31,28 +31,10 @@
 * xref:aws-msk-component.adoc[AWS MSK Component]
 * xref:aws-s3-component.adoc[AWS S3 Storage Service Component]
 * xref:aws-sdb-component.adoc[AWS SimpleDB Component]
-* xref:aws-cw-component.adoc[AWS CloudWatch Component]
-* xref:aws-ddb-component.adoc[AWS DynamoDB Component]
-* xref:aws-ddbstream-component.adoc[AWS DynamoDB Streams Component]
-* xref:aws-ec2-component.adoc[AWS EC2 Component]
-* xref:aws-ecs-component.adoc[AWS ECS Component]
-* xref:aws-eks-component.adoc[AWS EKS Component]
-* xref:aws-iam-component.adoc[AWS IAM Component]
-* xref:aws-kinesis-component.adoc[AWS Kinesis Component]
-* xref:aws-kinesis-firehose-component.adoc[AWS Kinesis Firehose Component]
-* xref:aws-kms-component.adoc[AWS KMS Component]
-* xref:aws-lambda-component.adoc[AWS Lambda Component]
-* xref:aws-mq-component.adoc[AWS MQ Component]
-* xref:aws-s3-component.adoc[AWS S3 Storage Service Component]
-* xref:aws-sdb-component.adoc[AWS SimpleDB Component]
 * xref:aws-ses-component.adoc[AWS Simple Email Service Component]
 * xref:aws-sns-component.adoc[AWS Simple Notification System Component]
 * xref:aws-sqs-component.adoc[AWS Simple Queue Service Component]
 * xref:aws-swf-component.adoc[AWS Simple Workflow Component]
-* xref:aws.adoc[Camel Components for Amazon Web Services]
-* xref:aws-sns-component.adoc[AWS Simple Notification System Component]
-* xref:aws-sqs-component.adoc[AWS Simple Queue Service Component]
-* xref:aws-swf-component.adoc[AWS Simple Workflow Component]
 * xref:aws-xray.adoc[AWS XRay Component]
 * xref:azure-blob-component.adoc[Azure Storage Blob Service Component]
 * xref:azure-queue-component.adoc[Azure Storage Queue Service Component]
diff --git a/docs/components/modules/ROOT/pages/aws-cw-component.adoc b/docs/components/modules/ROOT/pages/aws-cw-component.adoc
index e21b6e4..9c7e1d5 100644
--- a/docs/components/modules/ROOT/pages/aws-cw-component.adoc
+++ b/docs/components/modules/ROOT/pages/aws-cw-component.adoc
@@ -94,7 +94,7 @@ When using Spring Boot make sure to use the following Maven dependency to
have s
 ----
 <dependency>
   <groupId>org.apache.camel</groupId>
-  <artifactId>camel-aws-starter</artifactId>
+  <artifactId>camel-aws-cw-starter</artifactId>
   <version>x.x.x</version>
   <!-- use the same version as your Camel core version -->
 </dependency>
@@ -120,7 +120,7 @@ The component supports 16 options, which are listed below.
 | *camel.component.aws-cw.configuration.timestamp* | The metric timestamp |  | Date
 | *camel.component.aws-cw.configuration.unit* | The metric unit |  | String
 | *camel.component.aws-cw.configuration.value* | The metric value |  | Double
-| *camel.component.aws-cw.enabled* | Enable aws-cw component | true | Boolean
+| *camel.component.aws-cw.enabled* | Whether to enable auto configuration of the aws-cw component.
This is enabled by default. |  | Boolean
 | *camel.component.aws-cw.region* | The region in which CW client needs to work |  | String
 | *camel.component.aws-cw.resolve-property-placeholders* | Whether the component should resolve
property placeholders on itself when starting. Only properties which are of String type can
use property placeholders. | true | Boolean
 | *camel.component.aws-cw.secret-key* | Amazon AWS Secret Key |  | String
@@ -200,7 +200,7 @@ Maven users will need to add the following dependency to their pom.xml.
 ---------------------------------------
 <dependency>
     <groupId>org.apache.camel</groupId>
-    <artifactId>camel-aws</artifactId>
+    <artifactId>camel-aws-cw</artifactId>
     <version>${camel-version}</version>
 </dependency>
 ---------------------------------------
diff --git a/docs/components/modules/ROOT/pages/aws-ddb-component.adoc b/docs/components/modules/ROOT/pages/aws-ddb-component.adoc
index 88255cc..c178c60 100644
--- a/docs/components/modules/ROOT/pages/aws-ddb-component.adoc
+++ b/docs/components/modules/ROOT/pages/aws-ddb-component.adoc
@@ -93,7 +93,7 @@ When using Spring Boot make sure to use the following Maven dependency to
have s
 ----
 <dependency>
   <groupId>org.apache.camel</groupId>
-  <artifactId>camel-aws-starter</artifactId>
+  <artifactId>camel-aws-ddb-starter</artifactId>
   <version>x.x.x</version>
   <!-- use the same version as your Camel core version -->
 </dependency>
@@ -121,7 +121,7 @@ The component supports 18 options, which are listed below.
 | *camel.component.aws-ddb.configuration.secret-key* | Amazon AWS Secret Key |  | String
 | *camel.component.aws-ddb.configuration.table-name* | The name of the table currently worked
with. |  | String
 | *camel.component.aws-ddb.configuration.write-capacity* | The provisioned throughput to
reserved for writing resources to your table |  | Long
-| *camel.component.aws-ddb.enabled* | Enable aws-ddb component | true | Boolean
+| *camel.component.aws-ddb.enabled* | Whether to enable auto configuration of the aws-ddb
component. This is enabled by default. |  | Boolean
 | *camel.component.aws-ddb.region* | The region in which DDB client needs to work |  | String
 | *camel.component.aws-ddb.resolve-property-placeholders* | Whether the component should
resolve property placeholders on itself when starting. Only properties which are of String
type can use property placeholders. | true | Boolean
 | *camel.component.aws-ddb.secret-key* | Amazon AWS Secret Key |  | String
@@ -371,12 +371,12 @@ Maven users will need to add the following dependency to their pom.xml.
 ---------------------------------------
 <dependency>
     <groupId>org.apache.camel</groupId>
-    <artifactId>camel-aws</artifactId>
+    <artifactId>camel-aws-ddb</artifactId>
     <version>${camel-version}</version>
 </dependency>
 ---------------------------------------
 
-where `${camel-version`} must be replaced by the actual version of Camel
+where `${camel-version}` must be replaced by the actual version of Camel
 (2.10 or higher).
 
 ### See Also
diff --git a/docs/components/modules/ROOT/pages/aws-ddbstream-component.adoc b/docs/components/modules/ROOT/pages/aws-ddbstream-component.adoc
index 7cab392..5ea5612 100644
--- a/docs/components/modules/ROOT/pages/aws-ddbstream-component.adoc
+++ b/docs/components/modules/ROOT/pages/aws-ddbstream-component.adoc
@@ -111,7 +111,7 @@ When using Spring Boot make sure to use the following Maven dependency
to have s
 ----
 <dependency>
   <groupId>org.apache.camel</groupId>
-  <artifactId>camel-aws-starter</artifactId>
+  <artifactId>camel-aws-ddb-starter</artifactId>
   <version>x.x.x</version>
   <!-- use the same version as your Camel core version -->
 </dependency>
@@ -136,7 +136,7 @@ The component supports 15 options, which are listed below.
 | *camel.component.aws-ddbstream.configuration.secret-key* | Amazon AWS Secret Key |  | String
 | *camel.component.aws-ddbstream.configuration.sequence-number-provider* | Provider for the
sequence number when using one of the two ShardIteratorType.{AT,AFTER}_SEQUENCE_NUMBER iterator
types. Can be a registry reference or a literal sequence number. |  | SequenceNumberProvider
 | *camel.component.aws-ddbstream.configuration.table-name* | Name of the dynamodb table |
 | String
-| *camel.component.aws-ddbstream.enabled* | Enable aws-ddbstream component | true | Boolean
+| *camel.component.aws-ddbstream.enabled* | Whether to enable auto configuration of the aws-ddbstream
component. This is enabled by default. |  | Boolean
 | *camel.component.aws-ddbstream.region* | Amazon AWS Region |  | String
 | *camel.component.aws-ddbstream.resolve-property-placeholders* | Whether the component should
resolve property placeholders on itself when starting. Only properties which are of String
type can use property placeholders. | true | Boolean
 | *camel.component.aws-ddbstream.secret-key* | Amazon AWS Secret Key |  | String
@@ -231,7 +231,7 @@ Maven users will need to add the following dependency to their pom.xml.
 </dependency>
 ---------------------------------------
 
-where `${camel-version`} must be replaced by the actual version of Camel
+where `${camel-version}` must be replaced by the actual version of Camel
 (2.7 or higher).
 
 ### See Also
diff --git a/docs/components/modules/ROOT/pages/aws-ec2-component.adoc b/docs/components/modules/ROOT/pages/aws-ec2-component.adoc
index 1258962..b7c74a5 100644
--- a/docs/components/modules/ROOT/pages/aws-ec2-component.adoc
+++ b/docs/components/modules/ROOT/pages/aws-ec2-component.adoc
@@ -88,7 +88,7 @@ When using Spring Boot make sure to use the following Maven dependency to
have s
 ----
 <dependency>
   <groupId>org.apache.camel</groupId>
-  <artifactId>camel-aws-starter</artifactId>
+  <artifactId>camel-aws-ec2-starter</artifactId>
   <version>x.x.x</version>
   <!-- use the same version as your Camel core version -->
 </dependency>
@@ -110,7 +110,7 @@ The component supports 12 options, which are listed below.
 | *camel.component.aws-ec2.configuration.proxy-port* | To define a proxy port when instantiating
the EC2 client |  | Integer
 | *camel.component.aws-ec2.configuration.region* | The region in which EC2 client needs to
work |  | String
 | *camel.component.aws-ec2.configuration.secret-key* | Amazon AWS Secret Key |  | String
-| *camel.component.aws-ec2.enabled* | Enable aws-ec2 component | true | Boolean
+| *camel.component.aws-ec2.enabled* | Whether to enable auto configuration of the aws-ec2
component. This is enabled by default. |  | Boolean
 | *camel.component.aws-ec2.region* | The region in which EC2 client needs to work |  | String
 | *camel.component.aws-ec2.resolve-property-placeholders* | Whether the component should
resolve property placeholders on itself when starting. Only properties which are of String
type can use property placeholders. | true | Boolean
 | *camel.component.aws-ec2.secret-key* | Amazon AWS Secret Key |  | String
@@ -166,12 +166,12 @@ Maven users will need to add the following dependency to their pom.xml.
 ---------------------------------------
 <dependency>
     <groupId>org.apache.camel</groupId>
-    <artifactId>camel-aws</artifactId>
+    <artifactId>camel-aws-ec2</artifactId>
     <version>${camel-version}</version>
 </dependency>
 ---------------------------------------
 
-where `${camel-version`} must be replaced by the actual version of Camel
+where `${camel-version}` must be replaced by the actual version of Camel
 (2.16 or higher).
 
 ### See Also
diff --git a/docs/components/modules/ROOT/pages/aws-ecs-component.adoc b/docs/components/modules/ROOT/pages/aws-ecs-component.adoc
index 0a69508..757323c 100644
--- a/docs/components/modules/ROOT/pages/aws-ecs-component.adoc
+++ b/docs/components/modules/ROOT/pages/aws-ecs-component.adoc
@@ -33,10 +33,10 @@ The AWS ECS component supports 5 options, which are listed below.
 [width="100%",cols="2,5,^1,2",options="header"]
 |===
 | Name | Description | Default | Type
-| *configuration* (advanced) | The AWS KMS default configuration |  | ECSConfiguration
+| *configuration* (advanced) | The AWS ECS default configuration |  | ECSConfiguration
 | *accessKey* (producer) | Amazon AWS Access Key |  | String
 | *secretKey* (producer) | Amazon AWS Secret Key |  | String
-| *region* (producer) | The region in which KMS client needs to work |  | String
+| *region* (producer) | The region in which ECS client needs to work |  | String
 | *resolveProperty Placeholders* (advanced) | Whether the component should resolve property
placeholders on itself when starting. Only properties which are of String type can use property
placeholders. | true | boolean
 |===
 // component options: END
@@ -88,7 +88,7 @@ When using Spring Boot make sure to use the following Maven dependency to
have s
 ----
 <dependency>
   <groupId>org.apache.camel</groupId>
-  <artifactId>camel-aws-starter</artifactId>
+  <artifactId>camel-aws-ecs-starter</artifactId>
   <version>x.x.x</version>
   <!-- use the same version as your Camel core version -->
 </dependency>
@@ -111,7 +111,7 @@ The component supports 12 options, which are listed below.
 | *camel.component.aws-ecs.configuration.region* | The region in which ECS client needs to
work |  | String
 | *camel.component.aws-ecs.configuration.secret-key* | Amazon AWS Secret Key |  | String
 | *camel.component.aws-ecs.enabled* | Whether to enable auto configuration of the aws-ecs
component. This is enabled by default. |  | Boolean
-| *camel.component.aws-ecs.region* | The region in which KMS client needs to work |  | String
+| *camel.component.aws-ecs.region* | The region in which ECS client needs to work |  | String
 | *camel.component.aws-ecs.resolve-property-placeholders* | Whether the component should
resolve property placeholders on itself when starting. Only properties which are of String
type can use property placeholders. | true | Boolean
 | *camel.component.aws-ecs.secret-key* | Amazon AWS Secret Key |  | String
 |===
@@ -143,7 +143,7 @@ the https://aws.amazon.com/ecs/[Amazon ECS] service.
 
 #### ECS Producer operations
 
-Camel-AWS EKS component provides the following operation on the producer side:
+Camel-AWS ECS component provides the following operation on the producer side:
 
 - listClusters
 - createCluster
@@ -160,12 +160,12 @@ Maven users will need to add the following dependency to their pom.xml.
 ---------------------------------------
 <dependency>
     <groupId>org.apache.camel</groupId>
-    <artifactId>camel-aws</artifactId>
+    <artifactId>camel-aws-ecs</artifactId>
     <version>${camel-version}</version>
 </dependency>
 ---------------------------------------
 
-where `${camel-version`} must be replaced by the actual version of Camel
+where `${camel-version}` must be replaced by the actual version of Camel
 (3.0.0 or higher).
 
 ### See Also
diff --git a/docs/components/modules/ROOT/pages/aws-eks-component.adoc b/docs/components/modules/ROOT/pages/aws-eks-component.adoc
index 6f82212..d0e5e70 100644
--- a/docs/components/modules/ROOT/pages/aws-eks-component.adoc
+++ b/docs/components/modules/ROOT/pages/aws-eks-component.adoc
@@ -4,12 +4,12 @@
 *Available as of Camel version 3.0*
 
 The EKS component supports create, delete, describe and list
-https://aws.amazon.com/it/kms/[AWS EKS] clusters instances.
+https://aws.amazon.com/it/eks/[AWS EKS] clusters instances.
 
 Prerequisites
 
 You must have a valid Amazon Web Services developer account, and be
-signed up to use Amazon KMS. More information are available at
+signed up to use Amazon EKS. More information are available at
 https://aws.amazon.com/eks/[Amazon EKS].
 
 ### URI Format
@@ -33,10 +33,10 @@ The AWS EKS component supports 5 options, which are listed below.
 [width="100%",cols="2,5,^1,2",options="header"]
 |===
 | Name | Description | Default | Type
-| *configuration* (advanced) | The AWS KMS default configuration |  | EKSConfiguration
+| *configuration* (advanced) | The AWS EKS default configuration |  | EKSConfiguration
 | *accessKey* (producer) | Amazon AWS Access Key |  | String
 | *secretKey* (producer) | Amazon AWS Secret Key |  | String
-| *region* (producer) | The region in which KMS client needs to work |  | String
+| *region* (producer) | The region in which EKS client needs to work |  | String
 | *resolveProperty Placeholders* (advanced) | Whether the component should resolve property
placeholders on itself when starting. Only properties which are of String type can use property
placeholders. | true | boolean
 |===
 // component options: END
@@ -88,7 +88,7 @@ When using Spring Boot make sure to use the following Maven dependency to
have s
 ----
 <dependency>
   <groupId>org.apache.camel</groupId>
-  <artifactId>camel-aws-starter</artifactId>
+  <artifactId>camel-aws-eks-starter</artifactId>
   <version>x.x.x</version>
   <!-- use the same version as your Camel core version -->
 </dependency>
@@ -111,7 +111,7 @@ The component supports 12 options, which are listed below.
 | *camel.component.aws-eks.configuration.region* | The region in which EKS client needs to
work |  | String
 | *camel.component.aws-eks.configuration.secret-key* | Amazon AWS Secret Key |  | String
 | *camel.component.aws-eks.enabled* | Whether to enable auto configuration of the aws-eks
component. This is enabled by default. |  | Boolean
-| *camel.component.aws-eks.region* | The region in which KMS client needs to work |  | String
+| *camel.component.aws-eks.region* | The region in which EKS client needs to work |  | String
 | *camel.component.aws-eks.resolve-property-placeholders* | Whether the component should
resolve property placeholders on itself when starting. Only properties which are of String
type can use property placeholders. | true | Boolean
 | *camel.component.aws-eks.secret-key* | Amazon AWS Secret Key |  | String
 |===
@@ -166,12 +166,12 @@ Maven users will need to add the following dependency to their pom.xml.
 ---------------------------------------
 <dependency>
     <groupId>org.apache.camel</groupId>
-    <artifactId>camel-aws</artifactId>
+    <artifactId>camel-aws-eks</artifactId>
     <version>${camel-version}</version>
 </dependency>
 ---------------------------------------
 
-where `${camel-version`} must be replaced by the actual version of Camel
+where `${camel-version}` must be replaced by the actual version of Camel
 (3.0.0 or higher).
 
 ### See Also
diff --git a/docs/components/modules/ROOT/pages/aws-iam-component.adoc b/docs/components/modules/ROOT/pages/aws-iam-component.adoc
index a9faf6f..5b68c2d 100644
--- a/docs/components/modules/ROOT/pages/aws-iam-component.adoc
+++ b/docs/components/modules/ROOT/pages/aws-iam-component.adoc
@@ -72,9 +72,9 @@ with the following path and query parameters:
 | *accessKey* (producer) | Amazon AWS Access Key |  | String
 | *iamClient* (producer) | To use a existing configured AWS IAM as client |  | AmazonIdentity
ManagementClient
 | *operation* (producer) | *Required* The operation to perform |  | IAMOperations
-| *proxyHost* (producer) | To define a proxy host when instantiating the KMS client |  |
String
-| *proxyPort* (producer) | To define a proxy port when instantiating the KMS client |  |
Integer
-| *region* (producer) | The region in which KMS client needs to work |  | String
+| *proxyHost* (producer) | To define a proxy host when instantiating the IAM client |  |
String
+| *proxyPort* (producer) | To define a proxy port when instantiating the IAM client |  |
Integer
+| *region* (producer) | The region in which IAM client needs to work |  | String
 | *secretKey* (producer) | Amazon AWS Secret Key |  | String
 | *synchronous* (advanced) | Sets whether synchronous processing should be strictly used,
or Camel is allowed to use asynchronous processing (if supported). | false | boolean
 |===
@@ -88,7 +88,7 @@ When using Spring Boot make sure to use the following Maven dependency to
have s
 ----
 <dependency>
   <groupId>org.apache.camel</groupId>
-  <artifactId>camel-aws-starter</artifactId>
+  <artifactId>camel-aws-iam-starter</artifactId>
   <version>x.x.x</version>
   <!-- use the same version as your Camel core version -->
 </dependency>
@@ -106,9 +106,9 @@ The component supports 12 options, which are listed below.
 | *camel.component.aws-iam.configuration.access-key* | Amazon AWS Access Key |  | String
 | *camel.component.aws-iam.configuration.iam-client* | To use a existing configured AWS IAM
as client |  | AmazonIdentity ManagementClient
 | *camel.component.aws-iam.configuration.operation* | The operation to perform |  | IAMOperations
-| *camel.component.aws-iam.configuration.proxy-host* | To define a proxy host when instantiating
the KMS client |  | String
-| *camel.component.aws-iam.configuration.proxy-port* | To define a proxy port when instantiating
the KMS client |  | Integer
-| *camel.component.aws-iam.configuration.region* | The region in which KMS client needs to
work |  | String
+| *camel.component.aws-iam.configuration.proxy-host* | To define a proxy host when instantiating
the IAM client |  | String
+| *camel.component.aws-iam.configuration.proxy-port* | To define a proxy port when instantiating
the IAM client |  | Integer
+| *camel.component.aws-iam.configuration.region* | The region in which IAM client needs to
work |  | String
 | *camel.component.aws-iam.configuration.secret-key* | Amazon AWS Secret Key |  | String
 | *camel.component.aws-iam.enabled* | Whether to enable auto configuration of the aws-iam
component. This is enabled by default. |  | Boolean
 | *camel.component.aws-iam.region* | The region in which IAM client needs to work |  | String
@@ -175,12 +175,12 @@ Maven users will need to add the following dependency to their pom.xml.
 ---------------------------------------
 <dependency>
     <groupId>org.apache.camel</groupId>
-    <artifactId>camel-aws</artifactId>
+    <artifactId>camel-aws-iam</artifactId>
     <version>${camel-version}</version>
 </dependency>
 ---------------------------------------
 
-where `${camel-version`} must be replaced by the actual version of Camel
+where `${camel-version}` must be replaced by the actual version of Camel
 (2.16 or higher).
 
 ### See Also
diff --git a/docs/components/modules/ROOT/pages/aws-kinesis-component.adoc b/docs/components/modules/ROOT/pages/aws-kinesis-component.adoc
index e3f3c5f..778632c 100644
--- a/docs/components/modules/ROOT/pages/aws-kinesis-component.adoc
+++ b/docs/components/modules/ROOT/pages/aws-kinesis-component.adoc
@@ -114,7 +114,7 @@ When using Spring Boot make sure to use the following Maven dependency
to have s
 ----
 <dependency>
   <groupId>org.apache.camel</groupId>
-  <artifactId>camel-aws-starter</artifactId>
+  <artifactId>camel-aws-kinesis-starter</artifactId>
   <version>x.x.x</version>
   <!-- use the same version as your Camel core version -->
 </dependency>
@@ -141,7 +141,7 @@ The component supports 17 options, which are listed below.
 | *camel.component.aws-kinesis.configuration.shard-closed* | Define what will be the behavior
in case of shard closed. Possible value are ignore, silent and fail. In case of ignore a message
will be logged and the consumer will restart from the beginning,in case of silent there will
be no logging and the consumer will start from the beginning,in case of fail a ReachedClosedStateException
will be raised |  | KinesisShardClosed StrategyEnum
 | *camel.component.aws-kinesis.configuration.shard-id* | Defines which shardId in the Kinesis
stream to get records from |  | String
 | *camel.component.aws-kinesis.configuration.stream-name* | Name of the stream |  | String
-| *camel.component.aws-kinesis.enabled* | Enable aws-kinesis component | true | Boolean
+| *camel.component.aws-kinesis.enabled* | Whether to enable auto configuration of the aws-kinesis
component. This is enabled by default. |  | Boolean
 | *camel.component.aws-kinesis.region* | Amazon AWS Region |  | String
 | *camel.component.aws-kinesis.resolve-property-placeholders* | Whether the component should
resolve property placeholders on itself when starting. Only properties which are of String
type can use property placeholders. | true | Boolean
 | *camel.component.aws-kinesis.secret-key* | Amazon AWS Secret Key |  | String
@@ -255,12 +255,12 @@ Maven users will need to add the following dependency to their pom.xml.
 ---------------------------------------
 <dependency>
     <groupId>org.apache.camel</groupId>
-    <artifactId>camel-aws</artifactId>
+    <artifactId>camel-aws-kinesis</artifactId>
     <version>${camel-version}</version>
 </dependency>
 ---------------------------------------
 
-where `${camel-version`} must be replaced by the actual version of Camel
+where `${camel-version}` must be replaced by the actual version of Camel
 (2.17 or higher).
 
 ### See Also
diff --git a/docs/components/modules/ROOT/pages/aws-kinesis-firehose-component.adoc b/docs/components/modules/ROOT/pages/aws-kinesis-firehose-component.adoc
index 5d6f21e..ee731f0 100644
--- a/docs/components/modules/ROOT/pages/aws-kinesis-firehose-component.adoc
+++ b/docs/components/modules/ROOT/pages/aws-kinesis-firehose-component.adoc
@@ -90,7 +90,7 @@ When using Spring Boot make sure to use the following Maven dependency to
have s
 ----
 <dependency>
   <groupId>org.apache.camel</groupId>
-  <artifactId>camel-aws-starter</artifactId>
+  <artifactId>camel-aws-kinesis-starter</artifactId>
   <version>x.x.x</version>
   <!-- use the same version as your Camel core version -->
 </dependency>
@@ -112,7 +112,7 @@ The component supports 12 options, which are listed below.
 | *camel.component.aws-kinesis-firehose.configuration.region* | The region in which Kinesis
client needs to work |  | String
 | *camel.component.aws-kinesis-firehose.configuration.secret-key* | Amazon AWS Secret Key
|  | String
 | *camel.component.aws-kinesis-firehose.configuration.stream-name* | Name of the stream |
 | String
-| *camel.component.aws-kinesis-firehose.enabled* | Enable aws-kinesis-firehose component
| true | Boolean
+| *camel.component.aws-kinesis-firehose.enabled* | Whether to enable auto configuration of
the aws-kinesis-firehose component. This is enabled by default. |  | Boolean
 | *camel.component.aws-kinesis-firehose.region* | Amazon AWS Region |  | String
 | *camel.component.aws-kinesis-firehose.resolve-property-placeholders* | Whether the component
should resolve property placeholders on itself when starting. Only properties which are of
String type can use property placeholders. | true | Boolean
 | *camel.component.aws-kinesis-firehose.secret-key* | Amazon AWS Secret Key |  | String
@@ -191,12 +191,12 @@ Maven users will need to add the following dependency to their pom.xml.
 ---------------------------------------
 <dependency>
     <groupId>org.apache.camel</groupId>
-    <artifactId>camel-aws</artifactId>
+    <artifactId>camel-aws-kinesis</artifactId>
     <version>${camel-version}</version>
 </dependency>
 ---------------------------------------
 
-where `${camel-version`} must be replaced by the actual version of Camel
+where `${camel-version}` must be replaced by the actual version of Camel
 (2.19 or higher).
 
 ### See Also
diff --git a/docs/components/modules/ROOT/pages/aws-kms-component.adoc b/docs/components/modules/ROOT/pages/aws-kms-component.adoc
index 4c24439..3d3c827 100644
--- a/docs/components/modules/ROOT/pages/aws-kms-component.adoc
+++ b/docs/components/modules/ROOT/pages/aws-kms-component.adoc
@@ -10,7 +10,7 @@ Prerequisites
 
 You must have a valid Amazon Web Services developer account, and be
 signed up to use Amazon KMS. More information are available at
-https://aws.amazon.com/it/mq/[Amazon KMS].
+https://aws.amazon.com/it/kms/[Amazon KMS].
 
 ### URI Format
 
@@ -88,7 +88,7 @@ When using Spring Boot make sure to use the following Maven dependency to
have s
 ----
 <dependency>
   <groupId>org.apache.camel</groupId>
-  <artifactId>camel-aws-starter</artifactId>
+  <artifactId>camel-aws-kms-starter</artifactId>
   <version>x.x.x</version>
   <!-- use the same version as your Camel core version -->
 </dependency>
@@ -128,7 +128,7 @@ the https://aws.amazon.com/it/kms/[Amazon KMS] service.
 
 ### Usage
 
-#### Message headers evaluated by the MQ producer
+#### Message headers evaluated by the KMS producer
 
 [width="100%",cols="10%,10%,80%",options="header",]
 |=======================================================================
@@ -164,12 +164,12 @@ Maven users will need to add the following dependency to their pom.xml.
 ---------------------------------------
 <dependency>
     <groupId>org.apache.camel</groupId>
-    <artifactId>camel-aws</artifactId>
+    <artifactId>camel-aws-kms</artifactId>
     <version>${camel-version}</version>
 </dependency>
 ---------------------------------------
 
-where `${camel-version`} must be replaced by the actual version of Camel
+where `${camel-version}` must be replaced by the actual version of Camel
 (2.16 or higher).
 
 ### See Also
diff --git a/docs/components/modules/ROOT/pages/aws-lambda-component.adoc b/docs/components/modules/ROOT/pages/aws-lambda-component.adoc
index 85858b1..73d4907 100644
--- a/docs/components/modules/ROOT/pages/aws-lambda-component.adoc
+++ b/docs/components/modules/ROOT/pages/aws-lambda-component.adoc
@@ -10,7 +10,7 @@ https://aws.amazon.com/lambda/[AWS Lambda] functions.
 
 You must have a valid Amazon Web Services developer account, and be
 signed up to use Amazon Lambda. More information are available at
-https://aws.amazon.com/lambda/[Amazon Lambda].
+https://aws.amazon.com/lambda/[AWS Lambda].
 
 When creating a Lambda function, you need to specify a IAM role which has at least the AWSLambdaBasicExecuteRole
policy attached.
 
@@ -94,7 +94,7 @@ When using Spring Boot make sure to use the following Maven dependency to
have s
 ----
 <dependency>
   <groupId>org.apache.camel</groupId>
-  <artifactId>camel-aws-starter</artifactId>
+  <artifactId>camel-aws-lambda-starter</artifactId>
   <version>x.x.x</version>
   <!-- use the same version as your Camel core version -->
 </dependency>
@@ -226,12 +226,12 @@ Maven users will need to add the following dependency to their pom.xml.
 ---------------------------------------
 <dependency>
     <groupId>org.apache.camel</groupId>
-    <artifactId>camel-aws</artifactId>
+    <artifactId>camel-aws-lambda</artifactId>
     <version>${camel-version}</version>
 </dependency>
 ---------------------------------------
 
-where `${camel-version`} must be replaced by the actual version of Camel
+where `${camel-version}` must be replaced by the actual version of Camel
 (2.16 or higher).
 
 ### See Also
diff --git a/docs/components/modules/ROOT/pages/aws-mq-component.adoc b/docs/components/modules/ROOT/pages/aws-mq-component.adoc
index 1cdbefc..884a027 100644
--- a/docs/components/modules/ROOT/pages/aws-mq-component.adoc
+++ b/docs/components/modules/ROOT/pages/aws-mq-component.adoc
@@ -88,7 +88,7 @@ When using Spring Boot make sure to use the following Maven dependency to
have s
 ----
 <dependency>
   <groupId>org.apache.camel</groupId>
-  <artifactId>camel-aws-starter</artifactId>
+  <artifactId>camel-aws-mq-starter</artifactId>
   <version>x.x.x</version>
   <!-- use the same version as your Camel core version -->
 </dependency>
@@ -120,11 +120,11 @@ The component supports 12 options, which are listed below.
 
 
 
-Required EC2 component options
+Required MQ component options
 
-You have to provide the amazonEc2Client in the
+You have to provide the amazonMqClient in the
 Registry or your accessKey and secretKey to access
-the https://aws.amazon.com/it/ec2/[Amazon EC2] service.
+the https://aws.amazon.com/it/mq/[Amazon MQ] service.
 
 ### Usage
 
@@ -165,12 +165,12 @@ Maven users will need to add the following dependency to their pom.xml.
 ---------------------------------------
 <dependency>
     <groupId>org.apache.camel</groupId>
-    <artifactId>camel-aws</artifactId>
+    <artifactId>camel-aws-mq</artifactId>
     <version>${camel-version}</version>
 </dependency>
 ---------------------------------------
 
-where `${camel-version`} must be replaced by the actual version of Camel
+where `${camel-version}` must be replaced by the actual version of Camel
 (2.16 or higher).
 
 ### See Also
diff --git a/docs/components/modules/ROOT/pages/aws-s3-component.adoc b/docs/components/modules/ROOT/pages/aws-s3-component.adoc
index f5d7e24..3587b62 100644
--- a/docs/components/modules/ROOT/pages/aws-s3-component.adoc
+++ b/docs/components/modules/ROOT/pages/aws-s3-component.adoc
@@ -147,7 +147,7 @@ When using Spring Boot make sure to use the following Maven dependency
to have s
 ----
 <dependency>
   <groupId>org.apache.camel</groupId>
-  <artifactId>camel-aws-starter</artifactId>
+  <artifactId>camel-aws-s3-starter</artifactId>
   <version>x.x.x</version>
   <!-- use the same version as your Camel core version -->
 </dependency>
@@ -192,7 +192,7 @@ The component supports 35 options, which are listed below.
 | *camel.component.aws-s3.configuration.use-aws-k-m-s* | Define if KMS must be used or not
| false | Boolean
 | *camel.component.aws-s3.configuration.use-encryption* | Define if encryption must be used
or not | false | Boolean
 | *camel.component.aws-s3.configuration.use-i-a-m-credentials* | Set whether the S3 client
should expect to load credentials on an EC2 instance or to expect static credentials to be
passed in. | false | Boolean
-| *camel.component.aws-s3.enabled* | Enable aws-s3 component | true | Boolean
+| *camel.component.aws-s3.enabled* | Whether to enable auto configuration of the aws-s3 component.
This is enabled by default. |  | Boolean
 | *camel.component.aws-s3.region* | The region where the bucket is located. This option is
used in the com.amazonaws.services.s3.model.CreateBucketRequest. |  | String
 | *camel.component.aws-s3.resolve-property-placeholders* | Whether the component should resolve
property placeholders on itself when starting. Only properties which are of String type can
use property placeholders. | true | Boolean
 | *camel.component.aws-s3.secret-key* | Amazon AWS Secret Key |  | String
@@ -404,12 +404,12 @@ Maven users will need to add the following dependency to their pom.xml.
 ---------------------------------------
 <dependency>
     <groupId>org.apache.camel</groupId>
-    <artifactId>camel-aws</artifactId>
+    <artifactId>camel-aws-s3</artifactId>
     <version>${camel-version}</version>
 </dependency>
 ---------------------------------------
 
-where `${camel-version`} must be replaced by the actual version of Camel
+where `${camel-version}` must be replaced by the actual version of Camel
 (2.8 or higher).
 
 ### See Also
diff --git a/docs/components/modules/ROOT/pages/aws-sdb-component.adoc b/docs/components/modules/ROOT/pages/aws-sdb-component.adoc
index 619d243..be84b0e 100644
--- a/docs/components/modules/ROOT/pages/aws-sdb-component.adoc
+++ b/docs/components/modules/ROOT/pages/aws-sdb-component.adoc
@@ -78,7 +78,7 @@ When using Spring Boot make sure to use the following Maven dependency to
have s
 ----
 <dependency>
   <groupId>org.apache.camel</groupId>
-  <artifactId>camel-aws-starter</artifactId>
+  <artifactId>camel-aws-sdb-starter</artifactId>
   <version>x.x.x</version>
   <!-- use the same version as your Camel core version -->
 </dependency>
@@ -92,7 +92,7 @@ The component supports 2 options, which are listed below.
 [width="100%",cols="2,5,^1,2",options="header"]
 |===
 | Name | Description | Default | Type
-| *camel.component.aws-sdb.enabled* | Enable aws-sdb component | true | Boolean
+| *camel.component.aws-sdb.enabled* | Whether to enable auto configuration of the aws-sdb
component. This is enabled by default. |  | Boolean
 | *camel.component.aws-sdb.resolve-property-placeholders* | Whether the component should
resolve property placeholders on itself when starting. Only properties which are of String
type can use property placeholders. | true | Boolean
 |===
 // spring-boot-auto-configure options: END
@@ -238,12 +238,12 @@ Maven users will need to add the following dependency to their pom.xml.
 ---------------------------------------
 <dependency>
     <groupId>org.apache.camel</groupId>
-    <artifactId>camel-aws</artifactId>
+    <artifactId>camel-aws-sdb</artifactId>
     <version>${camel-version}</version>
 </dependency>
 ---------------------------------------
 
-where `${camel-version`} must be replaced by the actual version of Camel
+where `${camel-version}` must be replaced by the actual version of Camel
 (2.8.4 or higher).
 
 ### See Also
diff --git a/docs/components/modules/ROOT/pages/aws.adoc b/docs/components/modules/ROOT/pages/aws.adoc
deleted file mode 100644
index aef3a44..0000000
--- a/docs/components/modules/ROOT/pages/aws.adoc
+++ /dev/null
@@ -1,5 +0,0 @@
-=== Camel Components for Amazon Web Services
-
-The Camel Components for http://aws.amazon.com[Amazon Web Services]
-provide connectivity to AWS services from Camel.
- 


Mime
View raw message